Subject: veggie childrens book (not recipes)

From: [email-masked] (Deborah Israel)
Date: 3 Oct 1994 13:49:20 GMT

I'm not sure if this is the right place, but ....

Coming out of my usual lurking position to tell you about this amazing book I
have just read called "The Chicken Gave it to me" by Anne Fine.  I think it is
aimed at children from the age of 7 or 8 upwards, and is about a battery hen
that is released one night, when some little green men arrive.  The LGM (little
green men) prefer eating people, so they put people in the cages instead.   The
hen feels this is unfair, and smuggles herself to the LGM's planet, and starts
a human rights campaign.  It is a really funny book, and well worth reading even
if you are grown up!

Debs